# pcre2_set_max_varlookbehind man page

Return to the PCRE2 index page.

This page is part of the PCRE2 HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.

## SYNOPSIS

#include <pcre2.h>

int pcre2_set_max_varlookbehind(pcre2_compile_context *ccontext, uint32_t value);

## DESCRIPTION

This sets a maximum length for the number of characters matched by a variable-length lookbehind assertion. The default is set when PCRE2 is built, with the ultimate default being 255, the same as Perl. Lookbehind assertions without a bounding length are not supported. The result is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.

Return to the PCRE2 index page.